package net.udby.test.sdf.wrapper;

import java.text.ParseException;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

import net.udby.test.sdf.DateFormatUtilClassSync;

public class DateFormatUtilClassSyncWrapper implements WrapperApi {
	public DateFormatUtilClassSyncWrapper() {
	}

	@Override
	public String format(Date date, String formatString, Locale locale, TimeZone timeZone) {
		return DateFormatUtilClassSync.format(date, formatString, locale, timeZone);
	}

	@Override
	public String format(Date date, String formatString, Locale locale) {
		return DateFormatUtilClassSync.format(date, formatString, locale);
	}

	@Override
	public String format(Date date, String formatString) {
		return DateFormatUtilClassSync.format(date, formatString);
	}

	@Override
	public Date parse(String date, String formatString, Locale locale, TimeZone timeZone) throws ParseException {
		return DateFormatUtilClassSync.parse(date, formatString, locale, timeZone);
	}

	@Override
	public Date parse(String date, String formatString, Locale locale) throws ParseException {
		return DateFormatUtilClassSync.parse(date, formatString, locale);
	}

	@Override
	public Date parse(String date, String formatString) throws ParseException {
		return DateFormatUtilClassSync.parse(date, formatString);
	}
}
