package net.udby.test.sdf.simple;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class SdfSimpleCreate {
	public static final String FORMAT_1 = "dd-MM-yyyy HH:mm:ss";

	public static String format(Date date) {
		return new SimpleDateFormat(FORMAT_1).format(date);
	}

	public static Date parse(String s) throws ParseException {
		return new SimpleDateFormat(FORMAT_1).parse(s);
	}

	public static class Factory implements SimpleApi {
		@Override
		public Date parse(String s) throws ParseException {
			return SdfSimpleCreate.parse(s);
		}

		@Override
		public String format(Date date) {
			return SdfSimpleCreate.format(date);
		}
	}
}
